#ifndef FD_dcc_h_
#define FD_dcc_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void dcc_cb(FL_OBJECT *, long);

extern void file_get_cb(FL_OBJECT *, long);

extern void resume_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *dcc;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *base;
	FL_OBJECT *file_brow;
	FL_OBJECT *title;
	FL_OBJECT *chat_brow;
	FL_OBJECT *button_grp;
	FL_OBJECT *stop;
	FL_OBJECT *accept;
	FL_OBJECT *forward;
	FL_OBJECT *relay;
	FL_OBJECT *done;
} FD_dcc;

extern FD_dcc * create_form_dcc(void);
typedef struct {
	FL_FORM *active_dcc_get;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *dest;
	FL_OBJECT *file;
	FL_OBJECT *size;
	FL_OBJECT *checksum;
	FL_OBJECT *from;
	FL_OBJECT *stop;
	FL_OBJECT *speed;
	FL_OBJECT *slider;
} FD_active_dcc_get;

extern FD_active_dcc_get * create_form_active_dcc_get(void);
typedef struct {
	FL_FORM *dcc_resume;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *filename;
	FL_OBJECT *size;
	FL_OBJECT *checksum;
	FL_OBJECT *exists;
	FL_OBJECT *name;
	FL_OBJECT *new_size;
	FL_OBJECT *new_checksum;
	FL_OBJECT *cancel;
	FL_OBJECT *resume;
	FL_OBJECT *rename;
	FL_OBJECT *send;
} FD_dcc_resume;

extern FD_dcc_resume * create_form_dcc_resume(void);

#endif /* FD_dcc_h_ */
