/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "chanwin.h"

FD_chanwin *create_form_chanwin(void)
{
  FL_OBJECT *obj;
  FD_chanwin *fdui = (FD_chanwin *) fl_calloc(1, sizeof(*fdui));

  fdui->chanwin = fl_bgn_form(FL_NO_BOX, 514, 632);
  fdui->main_box = obj = fl_add_box(FL_UP_BOX,0,0,514,632,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);

  fdui->hidden_but_grp = fl_bgn_group();
  fdui->cmd_bwd = obj = fl_add_button(FL_HIDDEN_BUTTON,0,474,1,1,"");
    fl_set_button_shortcut(obj,"&B",1);
    fl_set_object_callback(obj,chanwin_cb,(long)31);
  fdui->cmd_fwd = obj = fl_add_button(FL_HIDDEN_BUTTON,0,474,1,1,"");
    fl_set_button_shortcut(obj,"&A",1);
    fl_set_object_callback(obj,chanwin_cb,(long)30);
  fdui->tab = obj = fl_add_button(FL_HIDDEN_BUTTON,0,476,3,1,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)32);
  fl_end_group();

  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,440,495,95,"");
    fl_set_object_gravity(obj, FL_West, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,390,475,110,25,"");
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,15,475,370,25,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->browser = obj = fl_add_browser(FL_MULTI_BROWSER,10,75,495,315,"");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
  fdui->sinput = obj = fl_add_input(FL_NORMAL_INPUT,15,445,435,25,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,chanwin_cb,(long)0);
  fdui->status = obj = fl_add_box(FL_FLAT_BOX,60,392,430,20,"- s  u  l  a -");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->clock = obj = fl_add_clock(FL_DIGITAL_CLOCK,10,392,50,20,"");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_WHITE);
    fl_set_object_lcolor(obj,FL_COL1);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->bar = obj = fl_add_box(FL_UP_BOX,0,0,515,30,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,5,5,40,20,"File");
    fl_set_object_shortcut(obj,"#f#F",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)0);
  fdui->window_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,155,5,50,20,"Window");
    fl_set_object_shortcut(obj,"#W#w",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)3);
  fdui->go_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,50,5,30,20,"Go");
    fl_set_object_shortcut(obj,"#g#g",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)1);
  fdui->help_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,395,5,45,20,"Help");
    fl_set_object_shortcut(obj,"#H#h",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)4);
  fdui->bookmark_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,85,5,65,20,"Bookmarks");
    fl_set_object_shortcut(obj,"#b#B",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)2);
  fdui->brow2 = obj = fl_add_browser(FL_MULTI_BROWSER,10,541,495,80,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_BLUE);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fdui->WinStatusLine = obj = fl_add_box(FL_FLAT_BOX,60,415,430,20,"Waiting...");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);

  fdui->button_grp = fl_bgn_group();
  fdui->chan_right = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,493,390,12,12,"");
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)33);
  fdui->chan_left = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,493,401,12,12,"");
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)34);
  fdui->part = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,45,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,PartChannel_cb,0);
  fdui->dcc = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,80,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dcc_cb,0);
  fdui->close_con = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,470,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)7);
  fdui->join = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,10,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,join_cb,0);
  fdui->chanusers = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,115,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanusers_cb,0);
  fdui->away = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,435,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)6);
  fdui->find = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,200,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)4);
  fdui->minput = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,150,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,minput_cb,0);
  fl_end_group();

  fdui->topic = obj = fl_add_button(FL_NORMAL_BUTTON,493,415,12,20,"T");
    fl_set_button_shortcut(obj,"#t#T",1);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_COL1);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)8);
  fdui->target = obj = fl_add_choice(FL_NORMAL_CHOICE,85,507,210,25,"");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_WHITE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->operation = obj = fl_add_choice(FL_NORMAL_CHOICE2,315,507,95,25,"");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_WHITE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->go = obj = fl_add_button(FL_NORMAL_BUTTON,456,445,27,25,"Go!");
    fl_set_button_shortcut(obj,"#O#o",1);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)10);
  fdui->history = obj = fl_add_lightbutton(FL_PUSH_BUTTON,465,507,35,25,"hist");
    fl_set_button_shortcut(obj,"#h#H",1);
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_GREEN);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->do_it = obj = fl_add_button(FL_NORMAL_BUTTON,415,507,45,25,"Do it!");
    fl_set_button_shortcut(obj,"#d#D",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)12);
  fdui->update = obj = fl_add_button(FL_NORMAL_BUTTON,15,507,50,25,"Update");
    fl_set_button_shortcut(obj,"#U#u",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)13);
  obj = fl_add_text(FL_NORMAL_TEXT,295,510,20,20,"@4->");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,65,510,20,20,"@6->");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->action = obj = fl_add_choice(FL_NORMAL_CHOICE2,411,478,85,20,"");
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->type = obj = fl_add_checkbutton(FL_PUSH_BUTTON,388,478,20,20,"");
    fl_set_object_color(obj,FL_COL1,FL_GREEN);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->edit_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,210,5,40,20,"Edit");
    fl_set_object_shortcut(obj,"#E#e",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,menu_cb,(long)5);
  fdui->copy = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,235,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)40);
  fdui->paste = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,340,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)43);
  fdui->cut = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,270,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)41);
  fdui->remove = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,305,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)42);
  fdui->nick = obj = fl_add_button(FL_NORMAL_BUTTON,485,445,15,25,"N");
    fl_set_button_shortcut(obj,"#n#N",1);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_COL1);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)9);

  fdui->msg_radio_grp = fl_bgn_group();
  fdui->r_quote = obj = fl_add_checkbutton(FL_RADIO_BUTTON,16,478,20,20,"Quote F1");
    fl_set_button_shortcut(obj,"&1",1);
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,radio_cb,(long)0);
    fl_set_button(obj, 1);
  fdui->r_query = obj = fl_add_checkbutton(FL_RADIO_BUTTON,85,478,20,20,"F2 Query");
    fl_set_button_shortcut(obj,"&2",1);
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,radio_cb,(long)1);
  fdui->r_channel = obj = fl_add_checkbutton(FL_RADIO_BUTTON,160,478,20,20,"Channel F3");
    fl_set_button_shortcut(obj,"&3",1);
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,radio_cb,(long)2);
  fdui->r_dcc_chat = obj = fl_add_checkbutton(FL_RADIO_BUTTON,245,478,20,20,"DCC F4");
    fl_set_button_shortcut(obj,"&4",1);
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,radio_cb,(long)3);
  fdui->r_echo = obj = fl_add_checkbutton(FL_RADIO_BUTTON,315,478,20,20,"Echo F5");
    fl_set_button_shortcut(obj,"&5",1);
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,radio_cb,(long)4);
  fl_end_group();

  fdui->info = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,390,35,35,35,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)5);
  fdui->lag = obj = fl_add_button(FL_NORMAL_BUTTON,10,415,50,20,"L 0000");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_BOTTOM_BCOL);
    fl_set_object_lcolor(obj,FL_CYAN);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,chanwin_cb,(long)11);
  fl_end_form();

  fdui->chanwin->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_minput *create_form_minput(void)
{
  FL_OBJECT *obj;
  FD_minput *fdui = (FD_minput *) fl_calloc(1, sizeof(*fdui));

  fdui->minput = fl_bgn_form(FL_NO_BOX, 385, 195);
  fdui->base = obj = fl_add_box(FL_UP_BOX,0,0,385,195,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,8,6,370,182,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  fdui->mline = obj = fl_add_input(FL_MULTILINE_INPUT,15,15,355,130,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);

  fdui->button_grp = fl_bgn_group();
  fdui->send = obj = fl_add_button(FL_NORMAL_BUTTON,37,152,70,30,"F1 Send");
    fl_set_button_shortcut(obj,"&1",1);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,minput_cb_cb,(long)0);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,190,152,70,30,"F3 Dismiss");
    fl_set_button_shortcut(obj,"&3",1);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,minput_cb_cb,(long)2);
  fdui->clear = obj = fl_add_button(FL_NORMAL_BUTTON,113,152,70,30,"F2 Clear");
    fl_set_button_shortcut(obj,"&2",1);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,minput_cb_cb,(long)1);
  fl_end_group();

  fdui->r_notice = obj = fl_add_checkbutton(FL_RADIO_BUTTON,290,155,20,20,"notice");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fl_end_form();

  fdui->minput->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_chanusers *create_form_chanusers(void)
{
  FL_OBJECT *obj;
  FD_chanusers *fdui = (FD_chanusers *) fl_calloc(1, sizeof(*fdui));

  fdui->chanusers = fl_bgn_form(FL_NO_BOX, 575, 330);
  fdui->base = obj = fl_add_box(FL_DOWN_BOX,0,0,575,330,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,94,240,226,34,"");
  fdui->bar = obj = fl_add_box(FL_UP_BOX,486,0,89,327,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,280,470,40,"");
  fdui->browser = obj = fl_add_browser(FL_MULTI_BROWSER,10,35,470,200,"");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_WHITE);
  fdui->channel = obj = fl_add_choice(FL_NORMAL_CHOICE,72,8,405,25,"Channel");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)7);
  fdui->kick = obj = fl_add_checkbutton(FL_PUSH_BUTTON,156,251,20,20,"kick");
    fl_set_button_shortcut(obj,"#k#K",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->ban = obj = fl_add_checkbutton(FL_PUSH_BUTTON,205,251,20,20,"ban");
    fl_set_button_shortcut(obj,"#b#B",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->ignore = obj = fl_add_checkbutton(FL_PUSH_BUTTON,254,251,20,20,"ignore");
    fl_set_button_shortcut(obj,"#i#I",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->input = obj = fl_add_input(FL_NORMAL_INPUT,75,285,400,30,"message/\nkick reason");
    fl_set_object_lcolor(obj,FL_BLUE);
  fdui->do_it = obj = fl_add_button(FL_NORMAL_BUTTON,104,246,50,25,"Now!");
    fl_set_button_shortcut(obj,"#N#n",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)8);
  fdui->msg = obj = fl_add_button(FL_NORMAL_BUTTON,10,245,70,25,"Message");
    fl_set_button_shortcut(obj,"#m#M",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)9);

  fdui->button_grp = fl_bgn_group();
  fdui->deop = obj = fl_add_button(FL_NORMAL_BUTTON,491,33,80,25,"deop");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)1);
  fdui->query = obj = fl_add_button(FL_NORMAL_BUTTON,491,58,80,25,"query");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)2);
  fdui->chat = obj = fl_add_button(FL_NORMAL_BUTTON,491,83,80,25,"chat (DCC)");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)3);
  fdui->others = obj = fl_add_choice(FL_NORMAL_CHOICE2,491,108,80,25,"");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)4);
  fdui->quit = obj = fl_add_button(FL_NORMAL_BUTTON,491,294,80,25,"dismiss");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)6);
  fdui->update = obj = fl_add_button(FL_NORMAL_BUTTON,491,266,80,25,"update");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)5);
  fdui->op = obj = fl_add_button(FL_NORMAL_BUTTON,491,8,80,25,"op");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,chanusers_cb_cb,(long)0);
  fl_end_group();

  fdui->status = obj = fl_add_text(FL_NORMAL_TEXT,330,244,150,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
  fl_end_form();

  fdui->chanusers->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_find *create_form_find(void)
{
  FL_OBJECT *obj;
  FD_find *fdui = (FD_find *) fl_calloc(1, sizeof(*fdui));

  fdui->find = fl_bgn_form(FL_NO_BOX, 400, 160);
  obj = fl_add_box(FL_UP_BOX,0,0,400,160,"");
  fdui->case_sense = obj = fl_add_button(FL_PUSH_BUTTON,55,60,10,10,"Case sensitive");
    fl_set_object_color(obj,FL_COL1,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,3,93,394,4,"@DnLine");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->direction = obj = fl_add_button(FL_PUSH_BUTTON,175,60,10,10,"Find backwards");
    fl_set_object_color(obj,FL_COL1,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->clear = obj = fl_add_button(FL_NORMAL_BUTTON,172,115,50,30,"Clear");
    fl_set_button_shortcut(obj,"#C#c",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,find_cb,(long)1);
  fdui->done = obj = fl_add_button(FL_NORMAL_BUTTON,330,115,50,30,"Done");
    fl_set_button_shortcut(obj,"#D#d",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,find_cb,(long)2);
  fdui->input = obj = fl_add_input(FL_NORMAL_INPUT,50,20,330,30,"Find:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->go = obj = fl_add_button(FL_RETURN_BUTTON,15,115,50,30,"Find");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,find_cb,(long)0);
  fl_end_form();

  fdui->find->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_bookmarks *create_form_bookmarks(void)
{
  FL_OBJECT *obj;
  FD_bookmarks *fdui = (FD_bookmarks *) fl_calloc(1, sizeof(*fdui));

  fdui->bookmarks = fl_bgn_form(FL_NO_BOX, 340, 340);
  obj = fl_add_box(FL_DOWN_BOX,0,0,340,340,"");
  fdui->bar = obj = fl_add_box(FL_UP_BOX,0,0,340,30,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->file = obj = fl_add_menu(FL_PULLDOWN_MENU,9,6,42,18,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,bkmark_cb,(long)0);
  fdui->item = obj = fl_add_menu(FL_PULLDOWN_MENU,66,6,39,18,"Item");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,bkmark_cb,(long)1);
  fdui->browser = obj = fl_add_browser(FL_HOLD_BROWSER,10,40,320,300,"");
    fl_set_object_color(obj,FL_MCOL,FL_YELLOW);
    fl_set_object_gravity(obj, FL_North, FL_NoGravity);
  fl_end_form();

  fdui->bookmarks->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_edit_bm *create_form_edit_bm(void)
{
  FL_OBJECT *obj;
  FD_edit_bm *fdui = (FD_edit_bm *) fl_calloc(1, sizeof(*fdui));

  fdui->edit_bm = fl_bgn_form(FL_NO_BOX, 410, 210);
  obj = fl_add_box(FL_UP_BOX,0,0,410,210,"");
  fdui->channel = obj = fl_add_input(FL_NORMAL_INPUT,85,20,310,25,"Channel:");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->server = obj = fl_add_input(FL_NORMAL_INPUT,85,50,310,25,"Server:");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->port = obj = fl_add_input(FL_INT_INPUT,85,80,70,25,"Port:");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,30,175,55,25,"OK");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,edit_bm_cb,(long)0);
  fdui->cancel = obj = fl_add_button(FL_NORMAL_BUTTON,315,175,60,25,"Cancel");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,edit_bm_cb,(long)2);
  obj = fl_add_text(FL_NORMAL_TEXT,2,156,406,10,"@DnLine");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->title = obj = fl_add_input(FL_NORMAL_INPUT,85,110,310,25,"Description:");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->add = obj = fl_add_button(FL_NORMAL_BUTTON,172,175,55,25,"Add");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,edit_bm_cb,(long)1);
  fl_end_form();

  fdui->edit_bm->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

