/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dcc_gui.h"

FD_dcc *create_form_dcc(void)
{
  FL_OBJECT *obj;
  FD_dcc *fdui = (FD_dcc *) fl_calloc(1, sizeof(*fdui));

  fdui->dcc = fl_bgn_form(FL_NO_BOX, 580, 345);
  fdui->base = obj = fl_add_box(FL_UP_BOX,0,0,580,345,"");
  fdui->file_brow = obj = fl_add_browser(FL_MULTI_BROWSER,20,50,545,250,"");
  fdui->title = obj = fl_add_text(FL_NORMAL_TEXT,30,25,530,20,"From");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->chat_brow = obj = fl_add_browser(FL_MULTI_BROWSER,20,50,445,250,"");

  fdui->button_grp = fl_bgn_group();
  fdui->stop = obj = fl_add_button(FL_NORMAL_BUTTON,20,305,70,30,"Stop");
    fl_set_button_shortcut(obj,"#s#S",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,dcc_cb,0);
  fdui->accept = obj = fl_add_button(FL_NORMAL_BUTTON,95,305,70,30,"Accept");
    fl_set_button_shortcut(obj,"#a#A",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,dcc_cb,(long)1);
  fdui->forward = obj = fl_add_button(FL_NORMAL_BUTTON,170,305,70,30,"Forward");
    fl_set_button_shortcut(obj,"#f#F",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,dcc_cb,(long)2);
  fdui->relay = obj = fl_add_button(FL_NORMAL_BUTTON,245,305,70,30,"Relay");
    fl_set_button_shortcut(obj,"#r#R",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,dcc_cb,(long)3);
  fdui->done = obj = fl_add_button(FL_NORMAL_BUTTON,320,305,70,30,"Dismiss");
    fl_set_button_shortcut(obj,"#D#d",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,dcc_cb,(long)4);
  fl_end_group();

  fl_end_form();

  fdui->dcc->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_active_dcc_get *create_form_active_dcc_get(void)
{
  FL_OBJECT *obj;
  FD_active_dcc_get *fdui = (FD_active_dcc_get *) fl_calloc(1, sizeof(*fdui));

  fdui->active_dcc_get = fl_bgn_form(FL_NO_BOX, 415, 180);
  obj = fl_add_box(FL_UP_BOX,0,0,415,180,"");
  obj = fl_add_frame(FL_EMBOSSED_FRAME,8,8,398,164,"");
  obj = fl_add_text(FL_NORMAL_TEXT,15,15,50,20,"File:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->dest = obj = fl_add_text(FL_NORMAL_TEXT,15,55,50,20,"From:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,15,35,50,20,"Size:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,200,35,70,20,"Checksum:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->file = obj = fl_add_text(FL_NORMAL_TEXT,55,15,315,20,"filename");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->size = obj = fl_add_text(FL_NORMAL_TEXT,55,35,120,20,"size");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->checksum = obj = fl_add_text(FL_NORMAL_TEXT,270,35,120,20,"checksum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->from = obj = fl_add_text(FL_NORMAL_TEXT,55,55,315,20,"from");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->stop = obj = fl_add_button(FL_NORMAL_BUTTON,145,135,60,25,"Stop");
    fl_set_button_shortcut(obj,"#S#s",1);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_callback(obj,file_get_cb,(long)0);
  fdui->speed = obj = fl_add_text(FL_NORMAL_TEXT,295,85,100,25,"9999 kb/s");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->slider = obj = fl_add_slider(FL_HOR_FILL_SLIDER,55,85,235,25,"50%");
    fl_set_object_color(obj,FL_COL1,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_slider_size(obj, 0.15);
  obj = fl_add_text(FL_NORMAL_TEXT,20,120,375,5,"@UpLine");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->active_dcc_get->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_dcc_resume *create_form_dcc_resume(void)
{
  FL_OBJECT *obj;
  FD_dcc_resume *fdui = (FD_dcc_resume *) fl_calloc(1, sizeof(*fdui));

  fdui->dcc_resume = fl_bgn_form(FL_NO_BOX, 415, 180);
  obj = fl_add_box(FL_UP_BOX,0,0,415,180,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,395,160,"");
  obj = fl_add_text(FL_NORMAL_TEXT,15,15,50,20,"File:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,15,35,50,20,"Size:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,195,35,70,20,"Checksum:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->filename = obj = fl_add_text(FL_NORMAL_TEXT,50,15,315,20,"filename");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->size = obj = fl_add_text(FL_NORMAL_TEXT,50,35,120,20,"size");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->checksum = obj = fl_add_text(FL_NORMAL_TEXT,265,35,120,20,"checksum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,15,60,380,10,"@UpLine");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->exists = obj = fl_add_text(FL_NORMAL_TEXT,20,70,380,20,"File exists:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,15,90,50,20,"Name:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,15,110,50,20,"Size:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  obj = fl_add_text(FL_NORMAL_TEXT,200,110,70,20,"Checksum:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->name = obj = fl_add_text(FL_NORMAL_TEXT,60,90,315,20,"name");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->new_size = obj = fl_add_text(FL_NORMAL_TEXT,60,110,120,20,"new size");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->new_checksum = obj = fl_add_text(FL_NORMAL_TEXT,270,110,120,20,"new checksum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->cancel = obj = fl_add_button(FL_NORMAL_BUTTON,20,140,60,25,"Cancel");
    fl_set_button_shortcut(obj,"#C#c",1);
    fl_set_object_callback(obj,resume_cb,(long)0);
  fdui->resume = obj = fl_add_button(FL_NORMAL_BUTTON,116,140,60,25,"Resume");
    fl_set_button_shortcut(obj,"#R#r",1);
    fl_set_object_callback(obj,resume_cb,(long)1);
  fdui->rename = obj = fl_add_button(FL_NORMAL_BUTTON,320,140,60,25,"Rename");
    fl_set_button_shortcut(obj,"#n#N",1);
    fl_set_object_callback(obj,resume_cb,(long)3);
  fdui->send = obj = fl_add_button(FL_NORMAL_BUTTON,213,140,70,25,"Send cksum");
    fl_set_button_shortcut(obj,"#S#s",1);
    fl_set_object_callback(obj,resume_cb,(long)2);
  fl_end_form();

  fdui->dcc_resume->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

