/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "script_gui.h"

FD_scriptcontrol *create_form_scriptcontrol(void)
{
  FL_OBJECT *obj;
  FD_scriptcontrol *fdui = (FD_scriptcontrol *) fl_calloc(1, sizeof(*fdui));

  fdui->scriptcontrol = fl_bgn_form(FL_NO_BOX, 560, 380);
  obj = fl_add_box(FL_UP_BOX,0,0,560,380,"");
  fdui->status = obj = fl_add_text(FL_NORMAL_TEXT,10,345,540,25,"ready");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->folder = obj = fl_add_tabfolder(FL_TOP_TABFOLDER,10,10,540,330,"");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
  fl_end_form();

  fdui->scriptcontrol->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_script *create_form_script(void)
{
  FL_OBJECT *obj;
  FD_script *fdui = (FD_script *) fl_calloc(1, sizeof(*fdui));

  fdui->script = fl_bgn_form(FL_NO_BOX, 540, 330);
  obj = fl_add_box(FL_UP_BOX,0,0,540,330,"");
  fdui->browser = obj = fl_add_browser(FL_HOLD_BROWSER,8,8,460,288,"");
    fl_set_object_color(obj,FL_WHITE,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDITALIC_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
  fdui->kill = obj = fl_add_button(FL_NORMAL_BUTTON,477,123,50,25,"Kill");
    fl_set_button_shortcut(obj,"#K#k",1);
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)12);
  fdui->start = obj = fl_add_button(FL_NORMAL_BUTTON,477,13,50,25,"New");
    fl_set_button_shortcut(obj,"#N#n",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)10);
  fdui->rest = obj = fl_add_button(FL_NORMAL_BUTTON,477,40,50,25,"Pause");
    fl_set_button_shortcut(obj,"#P#p",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)11);
  fdui->done = obj = fl_add_button(FL_NORMAL_BUTTON,477,268,50,25,"Done");
    fl_set_button_shortcut(obj,"#D#d",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_South, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)6);
  fdui->halt = obj = fl_add_button(FL_NORMAL_BUTTON,477,68,50,25,"Stop");
    fl_set_button_shortcut(obj,"#t#T",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)17);
  fdui->resume = obj = fl_add_button(FL_NORMAL_BUTTON,477,95,50,25,"Resume");
    fl_set_button_shortcut(obj,"#R#r",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)18);
  fdui->update = obj = fl_add_button(FL_NORMAL_BUTTON,477,240,50,25,"Update");
    fl_set_button_shortcut(obj,"#U#u",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)8);
  fl_end_form();

  fdui->script->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_event *create_form_event(void)
{
  FL_OBJECT *obj;
  FD_event *fdui = (FD_event *) fl_calloc(1, sizeof(*fdui));

  fdui->event = fl_bgn_form(FL_NO_BOX, 540, 330);
  obj = fl_add_box(FL_UP_BOX,0,0,540,330,"");
  fdui->browser = obj = fl_add_browser(FL_HOLD_BROWSER,8,8,460,288,"");
    fl_set_object_color(obj,FL_WHITE,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDITALIC_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
  fdui->edit = obj = fl_add_button(FL_NORMAL_BUTTON,477,40,50,25,"Edit");
    fl_set_button_shortcut(obj,"#E#e",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)24);
  fdui->new = obj = fl_add_button(FL_NORMAL_BUTTON,477,67,50,25,"New");
    fl_set_button_shortcut(obj,"#N#n",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)25);
  fdui->info = obj = fl_add_button(FL_NORMAL_BUTTON,477,13,50,25,"Info");
    fl_set_button_shortcut(obj,"#I#i",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)23);
  fdui->done = obj = fl_add_button(FL_NORMAL_BUTTON,477,268,50,25,"Done");
    fl_set_button_shortcut(obj,"#D#d",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_South, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)6);
  fdui->pause = obj = fl_add_button(FL_NORMAL_BUTTON,477,95,50,25,"Pause");
    fl_set_button_shortcut(obj,"#P#p",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)27);
  fdui->resume = obj = fl_add_button(FL_NORMAL_BUTTON,477,122,50,25,"Resume");
    fl_set_button_shortcut(obj,"#R#r",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)26);
  fdui->remove = obj = fl_add_button(FL_NORMAL_BUTTON,477,150,50,25,"Remove");
    fl_set_button_shortcut(obj,"#m#M",1);
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)28);
  fdui->update = obj = fl_add_button(FL_NORMAL_BUTTON,477,240,50,25,"Update");
    fl_set_button_shortcut(obj,"#U#u",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,script_cb,(long)8);
  fl_end_form();

  fdui->event->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_hook_edit *create_form_hook_edit(void)
{
  FL_OBJECT *obj;
  FD_hook_edit *fdui = (FD_hook_edit *) fl_calloc(1, sizeof(*fdui));

  fdui->hook_edit = fl_bgn_form(FL_NO_BOX, 355, 225);
  obj = fl_add_box(FL_UP_BOX,0,0,355,225,"");
  fdui->s_nr = obj = fl_add_input(FL_INT_INPUT,95,46,85,25,"Serial number");
    fl_set_input_shortcut(obj,"#n#N",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->numeric = obj = fl_add_input(FL_INT_INPUT,260,47,85,25,"Numeric");
    fl_set_input_shortcut(obj,"#N#n",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->pattern = obj = fl_add_input(FL_NORMAL_INPUT,95,78,250,25,"Pattern");
    fl_set_input_shortcut(obj,"#p#P",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->type = obj = fl_add_choice(FL_NORMAL_CHOICE2,95,15,250,25,"Message type");
    fl_set_object_shortcut(obj,"#m#M",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,hook_edit_cb,(long)2);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,65,190,70,25,"Okay");
    fl_set_button_shortcut(obj,"#O#o",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,hook_edit_cb,(long)0);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,165,190,70,25,"Close");
    fl_set_button_shortcut(obj,"#C#c",1);
    fl_set_object_color(obj,FL_COL1,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,hook_edit_cb,(long)1);
  obj = fl_add_text(FL_NORMAL_TEXT,10,180,335,5,"@line");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->action = obj = fl_add_input(FL_NORMAL_INPUT,95,110,250,25,"Action");
    fl_set_input_shortcut(obj,"#A#a",1);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->status = obj = fl_add_text(FL_NORMAL_TEXT,15,150,330,25,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fl_end_form();

  fdui->hook_edit->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

