/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "servers.h"

FD_serverlist *create_form_serverlist(void)
{
  FL_OBJECT *obj;
  FD_serverlist *fdui = (FD_serverlist *) fl_calloc(1, sizeof(*fdui));

  fdui->serverlist = fl_bgn_form(FL_NO_BOX, 620, 330);
  fdui->main_box = obj = fl_add_box(FL_UP_BOX,0,0,620,330,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,525,10,85,305,"");
    fl_set_object_gravity(obj, FL_East, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->browser = obj = fl_add_browser(FL_HOLD_BROWSER,10,10,505,270,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
  fdui->status = obj = fl_add_text(FL_NORMAL_TEXT,10,285,505,30,"ready");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);

  fdui->button_grp = fl_bgn_group();
  fdui->save = obj = fl_add_button(FL_NORMAL_BUTTON,530,225,75,35,"Save");
    fl_set_button_shortcut(obj,"#s#S",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)6);
  fdui->connect = obj = fl_add_button(FL_NORMAL_BUTTON,530,15,75,35,"Connect");
    fl_set_button_shortcut(obj,"#C#c",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)0);
  fdui->disconnect = obj = fl_add_button(FL_NORMAL_BUTTON,530,50,75,35,"Disconnect");
    fl_set_button_shortcut(obj,"#D#d",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)1);
  fdui->add = obj = fl_add_button(FL_NORMAL_BUTTON,530,85,75,35,"Add");
    fl_set_button_shortcut(obj,"#A#a",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)2);
  fdui->edit = obj = fl_add_button(FL_NORMAL_BUTTON,530,120,75,35,"Edit");
    fl_set_button_shortcut(obj,"#E#e",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)3);
  fdui->delete = obj = fl_add_button(FL_NORMAL_BUTTON,530,155,75,35,"Remove");
    fl_set_button_shortcut(obj,"#R#r",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)4);
  fdui->update = obj = fl_add_button(FL_NORMAL_BUTTON,530,190,75,35,"Update");
    fl_set_button_shortcut(obj,"#U#u",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)5);
  fdui->dismiss = obj = fl_add_button(FL_NORMAL_BUTTON,530,275,75,35,"Dismiss");
    fl_set_button_shortcut(obj,"#i#I",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_East, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,serverlist_cb,(long)7);
  fl_end_group();

  fl_end_form();

  fdui->serverlist->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_add *create_form_add(void)
{
  FL_OBJECT *obj;
  FD_add *fdui = (FD_add *) fl_calloc(1, sizeof(*fdui));

  fdui->add = fl_bgn_form(FL_NO_BOX, 310, 285);
  fdui->main_box = obj = fl_add_box(FL_UP_BOX,0,0,310,285,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,290,265,"");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->nick = obj = fl_add_input(FL_NORMAL_INPUT,95,50,200,25,"Nick");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);

  fdui->input_grp = fl_bgn_group();
  fdui->email = obj = fl_add_input(FL_NORMAL_INPUT,95,80,200,25,"Email");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fl_end_group();

  fdui->ircname = obj = fl_add_input(FL_NORMAL_INPUT,95,110,200,25,"Irc name");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->servername = obj = fl_add_input(FL_NORMAL_INPUT,95,140,200,25,"Server");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->port = obj = fl_add_input(FL_NORMAL_INPUT,95,170,80,25,"Port");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->password = obj = fl_add_input(FL_NORMAL_INPUT,95,200,170,25,"Password");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->done = obj = fl_add_button(FL_NORMAL_BUTTON,95,240,50,30,"Add");
    fl_set_button_shortcut(obj,"#A#a",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,add_server_cb,(long)0);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,165,240,50,30,"Close");
    fl_set_button_shortcut(obj,"#C#c",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,add_server_cb,(long)1);
  fdui->nicklist = obj = fl_add_choice(FL_NORMAL_CHOICE2,95,20,200,25,"Nick list");
    fl_set_object_shortcut(obj,"#N",1);
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fl_end_form();

  fdui->add->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

