#ifndef FD_chanwin_h_
#define FD_chanwin_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void chanwin_cb(FL_OBJECT *, long);
extern void menu_cb(FL_OBJECT *, long);
extern void PartChannel_cb(FL_OBJECT *, long);
extern void dcc_cb(FL_OBJECT *, long);
extern void join_cb(FL_OBJECT *, long);
extern void chanusers_cb(FL_OBJECT *, long);
extern void minput_cb(FL_OBJECT *, long);
extern void radio_cb(FL_OBJECT *, long);

extern void minput_cb_cb(FL_OBJECT *, long);

extern void chanusers_cb_cb(FL_OBJECT *, long);

extern void find_cb(FL_OBJECT *, long);

extern void bkmark_cb(FL_OBJECT *, long);

extern void edit_bm_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *chanwin;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *main_box;
	FL_OBJECT *hidden_but_grp;
	FL_OBJECT *cmd_bwd;
	FL_OBJECT *cmd_fwd;
	FL_OBJECT *tab;
	FL_OBJECT *browser;
	FL_OBJECT *sinput;
	FL_OBJECT *status;
	FL_OBJECT *clock;
	FL_OBJECT *bar;
	FL_OBJECT *file_menu;
	FL_OBJECT *window_menu;
	FL_OBJECT *go_menu;
	FL_OBJECT *help_menu;
	FL_OBJECT *bookmark_menu;
	FL_OBJECT *brow2;
	FL_OBJECT *WinStatusLine;
	FL_OBJECT *button_grp;
	FL_OBJECT *chan_right;
	FL_OBJECT *chan_left;
	FL_OBJECT *part;
	FL_OBJECT *dcc;
	FL_OBJECT *close_con;
	FL_OBJECT *join;
	FL_OBJECT *chanusers;
	FL_OBJECT *away;
	FL_OBJECT *find;
	FL_OBJECT *minput;
	FL_OBJECT *topic;
	FL_OBJECT *target;
	FL_OBJECT *operation;
	FL_OBJECT *go;
	FL_OBJECT *history;
	FL_OBJECT *do_it;
	FL_OBJECT *update;
	FL_OBJECT *action;
	FL_OBJECT *type;
	FL_OBJECT *edit_menu;
	FL_OBJECT *copy;
	FL_OBJECT *paste;
	FL_OBJECT *cut;
	FL_OBJECT *remove;
	FL_OBJECT *nick;
	FL_OBJECT *msg_radio_grp;
	FL_OBJECT *r_quote;
	FL_OBJECT *r_query;
	FL_OBJECT *r_channel;
	FL_OBJECT *r_dcc_chat;
	FL_OBJECT *r_echo;
	FL_OBJECT *info;
	FL_OBJECT *lag;
} FD_chanwin;

extern FD_chanwin * create_form_chanwin(void);
typedef struct {
	FL_FORM *minput;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *base;
	FL_OBJECT *mline;
	FL_OBJECT *button_grp;
	FL_OBJECT *send;
	FL_OBJECT *close;
	FL_OBJECT *clear;
	FL_OBJECT *r_notice;
} FD_minput;

extern FD_minput * create_form_minput(void);
typedef struct {
	FL_FORM *chanusers;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *base;
	FL_OBJECT *bar;
	FL_OBJECT *browser;
	FL_OBJECT *channel;
	FL_OBJECT *kick;
	FL_OBJECT *ban;
	FL_OBJECT *ignore;
	FL_OBJECT *input;
	FL_OBJECT *do_it;
	FL_OBJECT *msg;
	FL_OBJECT *button_grp;
	FL_OBJECT *deop;
	FL_OBJECT *query;
	FL_OBJECT *chat;
	FL_OBJECT *others;
	FL_OBJECT *quit;
	FL_OBJECT *update;
	FL_OBJECT *op;
	FL_OBJECT *status;
} FD_chanusers;

extern FD_chanusers * create_form_chanusers(void);
typedef struct {
	FL_FORM *find;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *case_sense;
	FL_OBJECT *direction;
	FL_OBJECT *clear;
	FL_OBJECT *done;
	FL_OBJECT *input;
	FL_OBJECT *go;
} FD_find;

extern FD_find * create_form_find(void);
typedef struct {
	FL_FORM *bookmarks;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *bar;
	FL_OBJECT *file;
	FL_OBJECT *item;
	FL_OBJECT *browser;
} FD_bookmarks;

extern FD_bookmarks * create_form_bookmarks(void);
typedef struct {
	FL_FORM *edit_bm;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *channel;
	FL_OBJECT *server;
	FL_OBJECT *port;
	FL_OBJECT *ok;
	FL_OBJECT *cancel;
	FL_OBJECT *title;
	FL_OBJECT *add;
} FD_edit_bm;

extern FD_edit_bm * create_form_edit_bm(void);

#endif /* FD_chanwin_h_ */
