
#ifndef __util_h_
#define __util_h_
#define COMMENT	'#'
extern char    *expand_tilde (char *pathname);
extern int      rmstr (char **s, int n);
extern char    *nextstr (const char *s, int n);
extern char    *strdchr (const char *t, int c);
extern char    *strcp (const char *s, size_t n);
extern char    *strdup2 (const char *);
extern void     uncomment (char *s, int comment);
extern char    *clean (const char *s);
extern char    *capitalize (const char *str);
extern char    *lowercase (const char *str);
extern char    *uppercase (const char *str);
extern char    *strnstr (const char *, const char *);
extern char    *strsstr (const char *, const char *);
extern char    *strxstr (const char *, const char *);
extern int     delay (unsigned long microseconds);
extern void     str2args (char *buf, int *argc, char **argv[]);
extern void     new_str2args (char *buf, int *argc, char **argv,size_t count);
extern char *unescape(char *);
extern int find_pos(char *, u_int);

#endif

